/*
  Сервис интеграции ПП Парус 8 с WEB API
  Дополнительный модуль: Интеграция с ГАР (GAR) - настройки
*/

//--------------------------
// Глобальные идентификаторы
//--------------------------

//Общие параметры
let common = {
    //Количество потоков импорта
    nThreads: 11,
    //Каталог для размещения загруженных данных
    sDownloadsDir: "./gar_downloads",
    //Удалять загруженные файлы
    bDownloadsDelete: true,
    //Использовать уже существующие файлы (если они есть)
    bDownloadsUseExists: true,
    //Каталог для размещения временных данных
    sTmpDir: "./gar_tmp",
    //Каталог для протоколирования
    sLogDir: "./gar_logs",
    //Размер буфера для потока считывания файла (байт)
    nFileChunkSize: 256 * 1024,
    //Количество обрабатываемых файлов (0 - не ограничивать)
    nLoadFilesLimit: 0,
    //Маска обрабатываемых файлов (null - все, поддерживаются рег. выражения, например: /AS_ROOM_TYPES_(\d{8})_(.*)/i /(.*)\/AS_STEADS_(\d{8})_(.*)/i /01\/(.*)/i)
    sLoadFilesMask: null
};

//Параметры подключения к БД
let dbConnect = {
    //Размер буфера для сброса в БД (количество записей)
    nBufferSize: 30000
};

//-----------------
// Интерфейс модуля
//-----------------

module.exports = {
    common,
    dbConnect
};
